Cloudflare Model Factory
constructor(accountId: String, apiKey: Supplier<String?>, restClientBuilder: <Error class: unknown class>? = null, observationRegistry: <Error class: unknown class> = ObservationRegistry.NOOP, defaultModel: String = CLEF, maxResponseBytes: Int = SystemOneEndpoint.DEFAULT_MAX_RESPONSE_BYTES)
Parameters
account Id
the Cloudflare account that runs the models, 32 hexadecimal characters
api Key
supplies the API key (a Cloudflare API token) with Workers AI access for each call
rest Client Builder
the application's HTTP client builder, or null for the factory's own
observation Registry
records decision and request observations
default Model
the model build and buildValidated return
max Response Bytes
the largest response body that is read